diff options
| -rwxr-xr-x | test/json-invalid-types.test | 15 |
1 files changed, 6 insertions, 9 deletions
diff --git a/test/json-invalid-types.test b/test/json-invalid-types.test index 0397c05..c532316 100755 --- a/test/json-invalid-types.test +++ b/test/json-invalid-types.test | |||
| @@ -13,23 +13,20 @@ fi | |||
| 13 | export PLIST_JSON_DEBUG=1 | 13 | export PLIST_JSON_DEBUG=1 |
| 14 | 14 | ||
| 15 | echo "Converting (failure expected)" | 15 | echo "Converting (failure expected)" |
| 16 | STDERR=`$top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE0 -o /dev/null 2>&1` | 16 | $top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE0 -o /dev/null |
| 17 | echo "$STDERR" | 17 | if [ $? -neq 2 ]; then |
| 18 | if ! echo "$STDERR" |grep "PLIST_DATA type is not valid for JSON format"; then | ||
| 19 | exit 1 | 18 | exit 1 |
| 20 | fi | 19 | fi |
| 21 | 20 | ||
| 22 | echo "Converting (failure expected)" | 21 | echo "Converting (failure expected)" |
| 23 | STDERR=`$top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE1 -o /dev/null 2>&1` | 22 | $top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE1 -o /dev/null |
| 24 | echo "$STDERR" | 23 | if [ $? -neq 2 ]; then |
| 25 | if ! echo "$STDERR" |grep "PLIST_DATE type is not valid for JSON format"; then | ||
| 26 | exit 2 | 24 | exit 2 |
| 27 | fi | 25 | fi |
| 28 | 26 | ||
| 29 | echo "Converting (failure expected)" | 27 | echo "Converting (failure expected)" |
| 30 | STDERR=`$top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE2 -o /dev/null 2>&1` | 28 | $top_builddir/tools/plistutil -f json -i $DATASRC/$TESTFILE2 -o /dev/null |
| 31 | echo "$STDERR" | 29 | if [ $? -neq 2 ]; then |
| 32 | if ! echo "$STDERR" |grep "PLIST_UID type is not valid for JSON format"; then | ||
| 33 | exit 3 | 30 | exit 3 |
| 34 | fi | 31 | fi |
| 35 | 32 | ||
